import 'package:flutter/material.dart';
import './dialog_state_mixin.dart';
import './dialog_manage_provider.dart';

mixin DialogMixin<T extends StatefulWidget> on State<T>, DialogStateMixin {

  @override
  void initState() {
    // TODO: implement initState
    Future.delayed(Duration.zero, () {
      DialogManageProvider.of(context).addListener(this, context);
    });
    super.initState();
  }

  @override
  void dispose() {
    // TODO: implement dispose
    DialogManageProvider.of(context).removeListener(this, context);
    super.dispose();
  }
}